easy_admin:
    entities:
        Media:
            class: App\Entity\MediaObject
            help: 'Upload your images, enter your Youtube links'
            translatable: true
            search:
                fields:
                    - 'name'
            # disabled_actions: ['download']
            list:
                title: '%menu.list.label.medias%'
                # collapse_actions: true
                # actions: ['show', 'edit', 'delete', 'download']
                actions: ['show', 'edit', 'delete', 'download']
                batch_actions: [{ name: 'delete', ask_confirm: true }]
                fields:
                    - { property: 'file', template: 'components/vich_uploader_multi_file.html.twig' }
                    # - { property: 'name' }
                    - { property: 'name' }
                    - { property: 'originalStampedImage' }
                    # - { property: 'originalFilename' }
                    # - { property: 'description' }
                    # - { property: 'isConform' }
                    # - { property: 'contentSize', template: 'components/bytes.html.twig'  }
                    - { property: 'alt', label: '%label.seo.alt%' }
                    # - { property: 'encodingFormat' }
                    # - { property: 'dateCreated' }
                    # - { property: 'dateModified' }
                    # - { property: 'userLastModified', type: 'text' }
                    # - { property: 'galleries' }

            show:
                fields:
                    # - { property: 'caption' }
                    - { property: 'name' }
                    - { property: 'url' }
                    - { property: 'isConform' }
                    - { property: 'filename' }
                    - { property: 'originalFilename' }
                    - { property: 'encodingFormat' }
                    - { property: 'dateCreated' }
                    - { property: 'contentSize' }
                    - { property: 'dimensions' }
                    - { property: 'description' }
                    # - { property: 'file', template: 'components/vich_uploader_image.html.twig' }
                    - { property: 'dateCreated' }
            form:
                fields:
                    - { type: 'group', label: '%group.label.download%', columns: 8 }
                    - { property: 'file', type: 'vich_file', help: 'Diffuser des images aux formats nouvelle génération (JPEG 2000, JPEG XR et WebP)' }
                    # - { property: 'file', type: 'vich_file' }
                    - { property: 'name', translatable: true, help: 'if empty, this field will be automatically edited' }
                    # - { property: 'caption' }
                    - { property: 'alt', label: '%label.seo.alt%' }
                    - { property: 'regenerateFormat', type_options: { data: false } }
                    - { property: 'link', type_options: { disabled: false } }
                    - { property: 'description', translatable: true }
                    - { property: 'isConform' }
                    # - { property: 'toStamp' }
                    - { type: 'group', label: '%group.label.basic.document%', columns: 4 }
                    - { property: 'filename', type: 'text', type_options: { disabled: true } }
                    - { property: 'originalFilename', type: 'text', type_options: { disabled: true } }
                    # - { property: 'dimensions', type: 'string', type_options: { disabled: true } }
                    - { property: 'encodingFormat', type: 'text', type_options: { disabled: true } }
                    # - { property: 'contentSize', type_options: { disabled: true } }
                    # - { property: 'galleries', type: 'text', type_options: { disabled: true } }
                    # - { property: 'imagesAccommodations', type: 'text', type_options: { disabled: true } }
                    # - { property: 'videosAccommodations', type: 'text', type_options: { disabled: true } }
                    - { property: 'userCreated', type: 'text', type_options: { disabled: true } }
                    - { property: 'userLastModified', type: 'text', type_options: { disabled: true } }
                    # - { type: 'group', label: '%group.label.add_galleries%', columns: 6 }
                    # - { property: 'galleries', type: 'entity',  type_options: { by_reference: false} }
